summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichael Mair-Keimberger <m.mairkeimberger@gmail.com>2019-04-14 16:09:32 +0200
committerPatrice Clement <monsieurp@gentoo.org>2019-04-14 20:16:27 +0200
commit95905908d02a1c31ccc52a969695bc6e65823536 (patch)
treeaedb805a649283e94fb3935b80364bc7c8d5e07b /app-arch
parentapp-arch/cksfv: fix LICENCE. (diff)
downloadgentoo-95905908d02a1c31ccc52a969695bc6e65823536.tar.gz
gentoo-95905908d02a1c31ccc52a969695bc6e65823536.tar.bz2
gentoo-95905908d02a1c31ccc52a969695bc6e65823536.zip
app-arch/cksfv: EAPI7 bump, fix LICENCE.
Closes: https://bugs.gentoo.org/683298 Signed-off-by: Michael Mair-Keimberger <m.mairkeimberger@gmail.com> Signed-off-by: Patrice Clement <monsieurp@gentoo.org>
Diffstat (limited to 'app-arch')
-rw-r--r--app-arch/cksfv/cksfv-1.3.14-r1.ebuild24
1 files changed, 24 insertions, 0 deletions
diff --git a/app-arch/cksfv/cksfv-1.3.14-r1.ebuild b/app-arch/cksfv/cksfv-1.3.14-r1.ebuild
new file mode 100644
index 00000000000..4793e5b0274
--- /dev/null
+++ b/app-arch/cksfv/cksfv-1.3.14-r1.ebuild
@@ -0,0 +1,24 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit toolchain-funcs
+
+DESCRIPTION="SFV checksum utility (simple file verification)"
+HOMEPAGE="http://zakalwe.fi/~shd/foss/cksfv/"
+SRC_URI="http://zakalwe.fi/~shd/foss/cksfv/files/${P}.tar.bz2"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~amd64-linux ~hppa ~ia64 ~ppc ~sparc ~x86 ~x86-fbsd ~x86-linux"
+
+src_configure() {
+ # note: not an autoconf configure script
+ ./configure \
+ --compiler="$(tc-getCC)" \
+ --prefix="${EPREFIX}"/usr \
+ --package-prefix="${D}" \
+ --bindir="${EPREFIX}"/usr/bin \
+ --mandir="${EPREFIX}"/usr/share/man || die
+}